SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Functions
FileListNodeContext.h File Reference
`#include "BitStream.h"`

Go to the source code of this file.

## Classes

struct | FileListNodeContext

## Functions

SLNet::BitStream & | operator<< (SLNet::BitStream &out, FileListNodeContext &in)
SLNet::BitStream & | operator>> (SLNet::BitStream &in, FileListNodeContext &out)

## Function Documentation

SLNet::BitStream& operator<< | ( | SLNet::BitStream & | out,
|  | FileListNodeContext & | in
| ) |  |

inline

Definition at line 39 of file FileListNodeContext.h.

References FileListNodeContext::flnc_extraData1, FileListNodeContext::flnc_extraData2, FileListNodeContext::flnc_extraData3, FileListNodeContext::op, and SLNet::BitStream::Write().

SLNet::BitStream& operator>> | ( | SLNet::BitStream & | in,
|  | FileListNodeContext & | out
| ) |  |

inline

Definition at line 47 of file FileListNodeContext.h.

References FileListNodeContext::flnc_extraData1, FileListNodeContext::flnc_extraData2, FileListNodeContext::flnc_extraData3, FileListNodeContext::op, and SLNet::BitStream::Read().